Create Project
curl --request POST \
--url https://api.sonderplan.com/v2/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Andor S1 EP7 Annoucement",
"code": "AND-S1-EP7",
"description": "Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.",
"status_id": 1,
"status": [
{
"name": "Second Hold",
"description": "Has second priority if the first hold cancels",
"notification": true
}
],
"private": 0,
"parent_folder_id": 5,
"color_background": "#B0A7F1",
"color_text": "#000000",
"start": 1547501100,
"end": 1547538900,
"client_id": "p23987",
"client": [
{
"uuid": "p4",
"contact_person": {
"id": 2837
}
}
],
"custom_fields": [
{
"id": 7823,
"name": "Type",
"value": "Video Editing",
"value_id": 8973,
"update_key": "2_1_7823"
}
],
"people": {
"users": [
{
"id": 4,
"name": "Jane Smith",
"admin_flag": 0,
"role_id": 0,
"role_name": 0,
"project_admin": true,
"group_write_admin": false
}
]
},
"time_entries": [
{
"owner_id": 872383,
"name": "Colour Grading",
"description": "Opening scenes completed",
"start": 1547501100,
"end": 1547538900,
"booking_id": 872383
}
]
}
'import requests
url = "https://api.sonderplan.com/v2/project"
payload = {
"name": "Andor S1 EP7 Annoucement",
"code": "AND-S1-EP7",
"description": "Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.",
"status_id": 1,
"status": [
{
"name": "Second Hold",
"description": "Has second priority if the first hold cancels",
"notification": True
}
],
"private": 0,
"parent_folder_id": 5,
"color_background": "#B0A7F1",
"color_text": "#000000",
"start": 1547501100,
"end": 1547538900,
"client_id": "p23987",
"client": [
{
"uuid": "p4",
"contact_person": { "id": 2837 }
}
],
"custom_fields": [
{
"id": 7823,
"name": "Type",
"value": "Video Editing",
"value_id": 8973,
"update_key": "2_1_7823"
}
],
"people": { "users": [
{
"id": 4,
"name": "Jane Smith",
"admin_flag": 0,
"role_id": 0,
"role_name": 0,
"project_admin": True,
"group_write_admin": False
}
] },
"time_entries": [
{
"owner_id": 872383,
"name": "Colour Grading",
"description": "Opening scenes completed",
"start": 1547501100,
"end": 1547538900,
"booking_id": 872383
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Andor S1 EP7 Annoucement',
code: 'AND-S1-EP7',
description: 'Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.',
status_id: 1,
status: [
{
name: 'Second Hold',
description: 'Has second priority if the first hold cancels',
notification: true
}
],
private: 0,
parent_folder_id: 5,
color_background: '#B0A7F1',
color_text: '#000000',
start: 1547501100,
end: 1547538900,
client_id: 'p23987',
client: [{uuid: 'p4', contact_person: {id: 2837}}],
custom_fields: [
{
id: 7823,
name: 'Type',
value: 'Video Editing',
value_id: 8973,
update_key: '2_1_7823'
}
],
people: {
users: [
{
id: 4,
name: 'Jane Smith',
admin_flag: 0,
role_id: 0,
role_name: 0,
project_admin: true,
group_write_admin: false
}
]
},
time_entries: [
{
owner_id: 872383,
name: 'Colour Grading',
description: 'Opening scenes completed',
start: 1547501100,
end: 1547538900,
booking_id: 872383
}
]
})
};
fetch('https://api.sonderplan.com/v2/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sonderplan.com/v2/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Andor S1 EP7 Annoucement',
'code' => 'AND-S1-EP7',
'description' => 'Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.',
'status_id' => 1,
'status' => [
[
'name' => 'Second Hold',
'description' => 'Has second priority if the first hold cancels',
'notification' => true
]
],
'private' => 0,
'parent_folder_id' => 5,
'color_background' => '#B0A7F1',
'color_text' => '#000000',
'start' => 1547501100,
'end' => 1547538900,
'client_id' => 'p23987',
'client' => [
[
'uuid' => 'p4',
'contact_person' => [
'id' => 2837
]
]
],
'custom_fields' => [
[
'id' => 7823,
'name' => 'Type',
'value' => 'Video Editing',
'value_id' => 8973,
'update_key' => '2_1_7823'
]
],
'people' => [
'users' => [
[
'id' => 4,
'name' => 'Jane Smith',
'admin_flag' => 0,
'role_id' => 0,
'role_name' => 0,
'project_admin' => true,
'group_write_admin' => false
]
]
],
'time_entries' => [
[
'owner_id' => 872383,
'name' => 'Colour Grading',
'description' => 'Opening scenes completed',
'start' => 1547501100,
'end' => 1547538900,
'booking_id' => 872383
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sonderplan.com/v2/project"
payload := strings.NewReader("{\n \"name\": \"Andor S1 EP7 Annoucement\",\n \"code\": \"AND-S1-EP7\",\n \"description\": \"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.\",\n \"status_id\": 1,\n \"status\": [\n {\n \"name\": \"Second Hold\",\n \"description\": \"Has second priority if the first hold cancels\",\n \"notification\": true\n }\n ],\n \"private\": 0,\n \"parent_folder_id\": 5,\n \"color_background\": \"#B0A7F1\",\n \"color_text\": \"#000000\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"client_id\": \"p23987\",\n \"client\": [\n {\n \"uuid\": \"p4\",\n \"contact_person\": {\n \"id\": 2837\n }\n }\n ],\n \"custom_fields\": [\n {\n \"id\": 7823,\n \"name\": \"Type\",\n \"value\": \"Video Editing\",\n \"value_id\": 8973,\n \"update_key\": \"2_1_7823\"\n }\n ],\n \"people\": {\n \"users\": [\n {\n \"id\": 4,\n \"name\": \"Jane Smith\",\n \"admin_flag\": 0,\n \"role_id\": 0,\n \"role_name\": 0,\n \"project_admin\": true,\n \"group_write_admin\": false\n }\n ]\n },\n \"time_entries\": [\n {\n \"owner_id\": 872383,\n \"name\": \"Colour Grading\",\n \"description\": \"Opening scenes completed\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"booking_id\": 872383\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sonderplan.com/v2/project")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Andor S1 EP7 Annoucement\",\n \"code\": \"AND-S1-EP7\",\n \"description\": \"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.\",\n \"status_id\": 1,\n \"status\": [\n {\n \"name\": \"Second Hold\",\n \"description\": \"Has second priority if the first hold cancels\",\n \"notification\": true\n }\n ],\n \"private\": 0,\n \"parent_folder_id\": 5,\n \"color_background\": \"#B0A7F1\",\n \"color_text\": \"#000000\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"client_id\": \"p23987\",\n \"client\": [\n {\n \"uuid\": \"p4\",\n \"contact_person\": {\n \"id\": 2837\n }\n }\n ],\n \"custom_fields\": [\n {\n \"id\": 7823,\n \"name\": \"Type\",\n \"value\": \"Video Editing\",\n \"value_id\": 8973,\n \"update_key\": \"2_1_7823\"\n }\n ],\n \"people\": {\n \"users\": [\n {\n \"id\": 4,\n \"name\": \"Jane Smith\",\n \"admin_flag\": 0,\n \"role_id\": 0,\n \"role_name\": 0,\n \"project_admin\": true,\n \"group_write_admin\": false\n }\n ]\n },\n \"time_entries\": [\n {\n \"owner_id\": 872383,\n \"name\": \"Colour Grading\",\n \"description\": \"Opening scenes completed\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"booking_id\": 872383\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sonderplan.com/v2/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Andor S1 EP7 Annoucement\",\n \"code\": \"AND-S1-EP7\",\n \"description\": \"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.\",\n \"status_id\": 1,\n \"status\": [\n {\n \"name\": \"Second Hold\",\n \"description\": \"Has second priority if the first hold cancels\",\n \"notification\": true\n }\n ],\n \"private\": 0,\n \"parent_folder_id\": 5,\n \"color_background\": \"#B0A7F1\",\n \"color_text\": \"#000000\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"client_id\": \"p23987\",\n \"client\": [\n {\n \"uuid\": \"p4\",\n \"contact_person\": {\n \"id\": 2837\n }\n }\n ],\n \"custom_fields\": [\n {\n \"id\": 7823,\n \"name\": \"Type\",\n \"value\": \"Video Editing\",\n \"value_id\": 8973,\n \"update_key\": \"2_1_7823\"\n }\n ],\n \"people\": {\n \"users\": [\n {\n \"id\": 4,\n \"name\": \"Jane Smith\",\n \"admin_flag\": 0,\n \"role_id\": 0,\n \"role_name\": 0,\n \"project_admin\": true,\n \"group_write_admin\": false\n }\n ]\n },\n \"time_entries\": [\n {\n \"owner_id\": 872383,\n \"name\": \"Colour Grading\",\n \"description\": \"Opening scenes completed\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"booking_id\": 872383\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": {
"id": 1
}
}{
"error": {
"code": "404",
"message": "Requested resource was not found"
}
}Project
Create Project
WRITE access to the PROJECT module is required to access this endpointThe
projectCreated webhook will be fired when this endpoint has run successfullyPOST
/
v2
/
project
Create Project
curl --request POST \
--url https://api.sonderplan.com/v2/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Andor S1 EP7 Annoucement",
"code": "AND-S1-EP7",
"description": "Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.",
"status_id": 1,
"status": [
{
"name": "Second Hold",
"description": "Has second priority if the first hold cancels",
"notification": true
}
],
"private": 0,
"parent_folder_id": 5,
"color_background": "#B0A7F1",
"color_text": "#000000",
"start": 1547501100,
"end": 1547538900,
"client_id": "p23987",
"client": [
{
"uuid": "p4",
"contact_person": {
"id": 2837
}
}
],
"custom_fields": [
{
"id": 7823,
"name": "Type",
"value": "Video Editing",
"value_id": 8973,
"update_key": "2_1_7823"
}
],
"people": {
"users": [
{
"id": 4,
"name": "Jane Smith",
"admin_flag": 0,
"role_id": 0,
"role_name": 0,
"project_admin": true,
"group_write_admin": false
}
]
},
"time_entries": [
{
"owner_id": 872383,
"name": "Colour Grading",
"description": "Opening scenes completed",
"start": 1547501100,
"end": 1547538900,
"booking_id": 872383
}
]
}
'import requests
url = "https://api.sonderplan.com/v2/project"
payload = {
"name": "Andor S1 EP7 Annoucement",
"code": "AND-S1-EP7",
"description": "Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.",
"status_id": 1,
"status": [
{
"name": "Second Hold",
"description": "Has second priority if the first hold cancels",
"notification": True
}
],
"private": 0,
"parent_folder_id": 5,
"color_background": "#B0A7F1",
"color_text": "#000000",
"start": 1547501100,
"end": 1547538900,
"client_id": "p23987",
"client": [
{
"uuid": "p4",
"contact_person": { "id": 2837 }
}
],
"custom_fields": [
{
"id": 7823,
"name": "Type",
"value": "Video Editing",
"value_id": 8973,
"update_key": "2_1_7823"
}
],
"people": { "users": [
{
"id": 4,
"name": "Jane Smith",
"admin_flag": 0,
"role_id": 0,
"role_name": 0,
"project_admin": True,
"group_write_admin": False
}
] },
"time_entries": [
{
"owner_id": 872383,
"name": "Colour Grading",
"description": "Opening scenes completed",
"start": 1547501100,
"end": 1547538900,
"booking_id": 872383
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Andor S1 EP7 Annoucement',
code: 'AND-S1-EP7',
description: 'Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.',
status_id: 1,
status: [
{
name: 'Second Hold',
description: 'Has second priority if the first hold cancels',
notification: true
}
],
private: 0,
parent_folder_id: 5,
color_background: '#B0A7F1',
color_text: '#000000',
start: 1547501100,
end: 1547538900,
client_id: 'p23987',
client: [{uuid: 'p4', contact_person: {id: 2837}}],
custom_fields: [
{
id: 7823,
name: 'Type',
value: 'Video Editing',
value_id: 8973,
update_key: '2_1_7823'
}
],
people: {
users: [
{
id: 4,
name: 'Jane Smith',
admin_flag: 0,
role_id: 0,
role_name: 0,
project_admin: true,
group_write_admin: false
}
]
},
time_entries: [
{
owner_id: 872383,
name: 'Colour Grading',
description: 'Opening scenes completed',
start: 1547501100,
end: 1547538900,
booking_id: 872383
}
]
})
};
fetch('https://api.sonderplan.com/v2/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sonderplan.com/v2/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Andor S1 EP7 Annoucement',
'code' => 'AND-S1-EP7',
'description' => 'Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.',
'status_id' => 1,
'status' => [
[
'name' => 'Second Hold',
'description' => 'Has second priority if the first hold cancels',
'notification' => true
]
],
'private' => 0,
'parent_folder_id' => 5,
'color_background' => '#B0A7F1',
'color_text' => '#000000',
'start' => 1547501100,
'end' => 1547538900,
'client_id' => 'p23987',
'client' => [
[
'uuid' => 'p4',
'contact_person' => [
'id' => 2837
]
]
],
'custom_fields' => [
[
'id' => 7823,
'name' => 'Type',
'value' => 'Video Editing',
'value_id' => 8973,
'update_key' => '2_1_7823'
]
],
'people' => [
'users' => [
[
'id' => 4,
'name' => 'Jane Smith',
'admin_flag' => 0,
'role_id' => 0,
'role_name' => 0,
'project_admin' => true,
'group_write_admin' => false
]
]
],
'time_entries' => [
[
'owner_id' => 872383,
'name' => 'Colour Grading',
'description' => 'Opening scenes completed',
'start' => 1547501100,
'end' => 1547538900,
'booking_id' => 872383
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sonderplan.com/v2/project"
payload := strings.NewReader("{\n \"name\": \"Andor S1 EP7 Annoucement\",\n \"code\": \"AND-S1-EP7\",\n \"description\": \"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.\",\n \"status_id\": 1,\n \"status\": [\n {\n \"name\": \"Second Hold\",\n \"description\": \"Has second priority if the first hold cancels\",\n \"notification\": true\n }\n ],\n \"private\": 0,\n \"parent_folder_id\": 5,\n \"color_background\": \"#B0A7F1\",\n \"color_text\": \"#000000\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"client_id\": \"p23987\",\n \"client\": [\n {\n \"uuid\": \"p4\",\n \"contact_person\": {\n \"id\": 2837\n }\n }\n ],\n \"custom_fields\": [\n {\n \"id\": 7823,\n \"name\": \"Type\",\n \"value\": \"Video Editing\",\n \"value_id\": 8973,\n \"update_key\": \"2_1_7823\"\n }\n ],\n \"people\": {\n \"users\": [\n {\n \"id\": 4,\n \"name\": \"Jane Smith\",\n \"admin_flag\": 0,\n \"role_id\": 0,\n \"role_name\": 0,\n \"project_admin\": true,\n \"group_write_admin\": false\n }\n ]\n },\n \"time_entries\": [\n {\n \"owner_id\": 872383,\n \"name\": \"Colour Grading\",\n \"description\": \"Opening scenes completed\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"booking_id\": 872383\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sonderplan.com/v2/project")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Andor S1 EP7 Annoucement\",\n \"code\": \"AND-S1-EP7\",\n \"description\": \"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.\",\n \"status_id\": 1,\n \"status\": [\n {\n \"name\": \"Second Hold\",\n \"description\": \"Has second priority if the first hold cancels\",\n \"notification\": true\n }\n ],\n \"private\": 0,\n \"parent_folder_id\": 5,\n \"color_background\": \"#B0A7F1\",\n \"color_text\": \"#000000\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"client_id\": \"p23987\",\n \"client\": [\n {\n \"uuid\": \"p4\",\n \"contact_person\": {\n \"id\": 2837\n }\n }\n ],\n \"custom_fields\": [\n {\n \"id\": 7823,\n \"name\": \"Type\",\n \"value\": \"Video Editing\",\n \"value_id\": 8973,\n \"update_key\": \"2_1_7823\"\n }\n ],\n \"people\": {\n \"users\": [\n {\n \"id\": 4,\n \"name\": \"Jane Smith\",\n \"admin_flag\": 0,\n \"role_id\": 0,\n \"role_name\": 0,\n \"project_admin\": true,\n \"group_write_admin\": false\n }\n ]\n },\n \"time_entries\": [\n {\n \"owner_id\": 872383,\n \"name\": \"Colour Grading\",\n \"description\": \"Opening scenes completed\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"booking_id\": 872383\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sonderplan.com/v2/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Andor S1 EP7 Annoucement\",\n \"code\": \"AND-S1-EP7\",\n \"description\": \"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.\",\n \"status_id\": 1,\n \"status\": [\n {\n \"name\": \"Second Hold\",\n \"description\": \"Has second priority if the first hold cancels\",\n \"notification\": true\n }\n ],\n \"private\": 0,\n \"parent_folder_id\": 5,\n \"color_background\": \"#B0A7F1\",\n \"color_text\": \"#000000\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"client_id\": \"p23987\",\n \"client\": [\n {\n \"uuid\": \"p4\",\n \"contact_person\": {\n \"id\": 2837\n }\n }\n ],\n \"custom_fields\": [\n {\n \"id\": 7823,\n \"name\": \"Type\",\n \"value\": \"Video Editing\",\n \"value_id\": 8973,\n \"update_key\": \"2_1_7823\"\n }\n ],\n \"people\": {\n \"users\": [\n {\n \"id\": 4,\n \"name\": \"Jane Smith\",\n \"admin_flag\": 0,\n \"role_id\": 0,\n \"role_name\": 0,\n \"project_admin\": true,\n \"group_write_admin\": false\n }\n ]\n },\n \"time_entries\": [\n {\n \"owner_id\": 872383,\n \"name\": \"Colour Grading\",\n \"description\": \"Opening scenes completed\",\n \"start\": 1547501100,\n \"end\": 1547538900,\n \"booking_id\": 872383\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": {
"id": 1
}
}{
"error": {
"code": "404",
"message": "Requested resource was not found"
}
}Authorizations
Body
application/json
Project object that needs to be added
The default project schema which contains the majority of these fields